package com.lzmispt.data.resource.service.metadata.impl;

package .tmp;

import com.lzmispt.core.entity.dto.querymodel.QueryModelDTO;
import com.lzmispt.data.center.entity.dto.log.CommonLogDTO;
import com.lzmispt.data.center.entity.dto.resource.metadata.DeleteInfoItemDTO;
import com.lzmispt.data.center.entity.dto.resource.metadata.EntityItemInfoSearchDTO;
import com.lzmispt.data.center.entity.dto.standard.metadata.SaveMetadataPropertyDTO;
import com.lzmispt.data.center.entity.dto.standard.metadata.SaveMetadataValueEntityFieldDTO;
import com.lzmispt.data.center.entity.dto.standard.rule.ChooseRuleConfigDTO;
import com.lzmispt.data.center.entity.enums.StatusCodeEnum;
import com.lzmispt.data.center.entity.vo.resource.metadata.MetadataEntityInfoItemVO;
import com.lzmispt.data.center.entity.vo.resource.metadata.MetadataFieldVO;
import com.lzmispt.data.center.entity.vo.standard.metadata.MetadataFieldWithElementVO;
import com.lzmispt.data.center.entity.vo.standard.metadata.MetadataItemAndValueVO;
import com.lzmispt.data.resource.client.DataStandardClient;
import com.lzmispt.data.resource.entity.dto.metadata.BatchCheckDataItemNameParamDTO;
import com.lzmispt.data.resource.entity.dto.metadata.BindTheDataItemInfoItemDTO;
import com.lzmispt.data.resource.entity.dto.metadata.CheckInfoItemCodeIsExistsDTO;
import com.lzmispt.data.resource.entity.dto.metadata.DragSortMetaDataInfoItemDTO;
import com.lzmispt.data.resource.entity.dto.metadata.FromDbSychDTO;
import com.lzmispt.data.resource.entity.dto.metadata.ImportDataItemDTO;
import com.lzmispt.data.resource.entity.dto.metadata.ImportInfoItemToEntityParamDTO;
import com.lzmispt.data.resource.entity.dto.metadata.SuitUsePrimaryKeyDTO;
import com.lzmispt.data.resource.entity.dto.metadata.SyncItemInfosToDbDTO;
import com.lzmispt.data.resource.entity.dto.metadata.TheDataItemIdIsBindTheEntityDTO;
import com.lzmispt.data.resource.entity.dto.metadata.UpdateInfoItemDTO;
import com.lzmispt.data.resource.entity.po.metadata.MetadataDirectoryPO;
import com.lzmispt.data.resource.entity.po.metadata.MetadataEntityInfoItemPO;
import com.lzmispt.data.resource.entity.vo.metadata.InfoItemDataRangeVO;
import com.lzmispt.data.resource.service.metadata.IDataResource;
import com.lzmispt.data.resource.service.metadata.IInfoItem;
import com.lzmispt.data.resource.service.metadata.IInfoItemSync;
import com.lzmispt.data.resource.service.metadata.IMetadataField;
import com.lzmispt.data.resource.service.metadata.IResAndDataInfoItemManager;
import com.lzmispt.dcbase.ServiceUtil;
import com.lzmispt.dcbase.dcconst.DCConst;
import com.lzmispt.dcbase.util.HeaderInterceptor;
import com.lzmispt.framework.entity.entity.ResultEntity;
import com.lzmispt.framework.fconst.FrameConst;
import com.lzmispt.framework.utils.RabbitMQUtil;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import java.util.Map;
import javax.servlet.http.HttpServletResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.multipart.MultipartFile;

@Service
public class ResAndDataInfoItemManager implements IResAndDataInfoItemManager {
  private static final List<String> EXCLUDE_FIELD = Arrays.asList(new String[] { 
        "lzdc_sys_version", "lzdc_sys_is_reedit", "lzdc_sys_ref_field_id", "lzdc_sys_ref_biz_field_id", "lzdc_sys_ref_field_version", "lzdc_sys_is_exist_new_version", "lzdc_sys_is_reference", "lzdc_sys_data_rule_description", "lzdc_sys_data_type", "lzdc_sys_data_length", 
        "lzdc_sys_data_range_config", "lzdc_sys_data_scale", "lzdc_sys_is_biz_primary_key", "lzdc_sys_is_required", "lzdc_sys_data_item_id", "lzdc_sys_data_item_code", "lzdc_sys_data_range", "lzdc_sys_data_rule", "lzdc_sys_description", "lzdc_sys_sync_status" });
  
  @Autowired
  IMetadataField metadataField;
  
  @Autowired
  DataStandardClient dataStandardClient;
  
  public ResultEntity<MetadataItemAndValueVO> getInfoItemsForResources(EntityItemInfoSearchDTO entityItemInfoSearchDTO) {
    entityItemInfoSearchDTO.setIsResources(DCConst.TRUE);
    return ((IInfoItem)ServiceUtil.getInfoItemManager(entityItemInfoSearchDTO.getPlatCode(), IInfoItem.class)).getInfoItems(entityItemInfoSearchDTO);
  }
  
  public ResultEntity<MetadataItemAndValueVO> getInfoItemsForMetadata(EntityItemInfoSearchDTO entityItemInfoSearchDTO) {
    entityItemInfoSearchDTO.setIsResources(DCConst.FALSE);
    ResultEntity<MetadataItemAndValueVO> infoItems = ((IInfoItem)ServiceUtil.getInfoItemManager(entityItemInfoSearchDTO.getPlatCode(), IInfoItem.class)).getInfoItems(entityItemInfoSearchDTO);
    return infoItems;
  }
  
  public ResultEntity<Boolean> dragFieldSortForMetadata(DragSortMetaDataInfoItemDTO dataInfoItemDTO, String platCode, String tokenId) {
    dataInfoItemDTO.setIsResources(DCConst.FALSE);
    return ((IInfoItem)ServiceUtil.getInfoItemManager(platCode, IInfoItem.class)).dragFieldSort(dataInfoItemDTO, platCode, tokenId);
  }
  
  public ResultEntity<Boolean> dragFieldSortForResources(DragSortMetaDataInfoItemDTO dataInfoItemDTO, String platCode, String tokenId) {
    dataInfoItemDTO.setIsResources(DCConst.TRUE);
    return ((IInfoItem)ServiceUtil.getInfoItemManager(platCode, IInfoItem.class)).dragFieldSort(dataInfoItemDTO, platCode, tokenId);
  }
  
  public ResultEntity<Boolean> checkDataItemNameIsUseForResources(BatchCheckDataItemNameParamDTO batchCheckDataItemNameParamDTO) {
    batchCheckDataItemNameParamDTO.setIsResources(DCConst.TRUE);
    return ((IInfoItem)ServiceUtil.getInfoItemManager(batchCheckDataItemNameParamDTO.getPlatCode(), IInfoItem.class)).checkDataItemNameIsUse(batchCheckDataItemNameParamDTO);
  }
  
  public ResultEntity<Boolean> checkDataItemNameIsUseForMetadata(BatchCheckDataItemNameParamDTO batchCheckDataItemNameParamDTO) {
    batchCheckDataItemNameParamDTO.setIsResources(DCConst.FALSE);
    return ((IInfoItem)ServiceUtil.getInfoItemManager(batchCheckDataItemNameParamDTO.getPlatCode(), IInfoItem.class)).checkDataItemNameIsUse(batchCheckDataItemNameParamDTO);
  }
  
  public ResultEntity<Integer> getInfoItemMaxOrderForResources(Long entityId, String platCode, String tokenId) {
    return ((IInfoItem)ServiceUtil.getInfoItemManager(platCode, IInfoItem.class)).getInfoItemMaxOrder(entityId, platCode, DCConst.TRUE, tokenId);
  }
  
  public ResultEntity<Integer> getInfoItemMaxOrderForMetadata(Long entityId, String platCode, String tokenId) {
    return ((IInfoItem)ServiceUtil.getInfoItemManager(platCode, IInfoItem.class)).getInfoItemMaxOrder(entityId, platCode, DCConst.FALSE, tokenId);
  }
  
  public ResultEntity<Boolean> addMetadataEntityInfoItemsForResources(SaveMetadataValueEntityFieldDTO params, String platCode, Long userId, Long organizationId, String tokenId) {
    params.setIsResources(DCConst.TRUE);
    return ((IInfoItem)ServiceUtil.getInfoItemManager(platCode, IInfoItem.class)).addMetadataEntityInfoItems(params, platCode, userId, organizationId, tokenId);
  }
  
  public ResultEntity<Boolean> addMetadataEntityInfoItemsForMetadata(SaveMetadataValueEntityFieldDTO params, String platCode, Long userId, Long organizationId, String tokenId) {
    params.setIsResources(DCConst.FALSE);
    ResultEntity<Boolean> booleanResultEntity = ((IInfoItem)ServiceUtil.getInfoItemManager(platCode, IInfoItem.class)).addMetadataEntityInfoItems(params, platCode, userId, organizationId, tokenId);
    return booleanResultEntity;
  }
  
  public void logErrorInfo(String stackInfo, String msg, String platCode, String tokenId) {
    CommonLogDTO logDTO = new CommonLogDTO();
    logDTO.setPlatCode(platCode);
    logDTO.setTokenId(tokenId);
    logDTO.setStackInformation(stackInfo);
    logDTO.setLoggerInformation(msg);
    logDTO.setLogLevel(FrameConst.Log.LOG_LEVEL_ERROR);
    logDTO.setLogType(0);
    logDTO.setModule_code(HeaderInterceptor.getModuleCode());
    RabbitMQUtil.publish("DC.Standard.log", logDTO);
  }
  
  public ResultEntity<Boolean> clearEntityInfoItemForResources(Long entityId, String tokenId, String platCode) {
    return ((IInfoItem)ServiceUtil.getInfoItemManager(platCode, IInfoItem.class)).clearEntityInfoItem(entityId, tokenId, DCConst.DataResourceCategory.RES, platCode);
  }
  
  public ResultEntity<Boolean> clearEntityInfoItemForMetadata(Long entityId, String tokenId, String platCode) {
    return ((IInfoItem)ServiceUtil.getInfoItemManager(platCode, IInfoItem.class)).clearEntityInfoItem(entityId, tokenId, DCConst.DataResourceCategory.DATA, platCode);
  }
  
  public ResultEntity<Map> delMetadataEntityInfoItemsForResources(Long entityId, DeleteInfoItemDTO deleteParam, String tokenId, Integer isChild, String platCode) {
    deleteParam.setIsResources(DCConst.DataResourceCategory.RES);
    deleteParam.setPlatCode(platCode);
    return this.metadataField.delMetadataEntityInfoItems(entityId, deleteParam, tokenId, isChild);
  }
  
  public ResultEntity<Map> delMetadataEntityInfoItemsForMetadata(Long entityId, DeleteInfoItemDTO deleteParam, String tokenId, Integer isChild, String platCode) {
    deleteParam.setIsResources(DCConst.DataResourceCategory.DATA);
    deleteParam.setPlatCode(platCode);
    ResultEntity<Map> mapResultEntity = this.metadataField.delMetadataEntityInfoItems(entityId, deleteParam, tokenId, isChild);
    return mapResultEntity;
  }
  
  public ResultEntity<Boolean> importDataItemForMetadata(ImportDataItemDTO importDataItemDTO, String platCode, String tokenId) {
    importDataItemDTO.setIsResources(DCConst.FALSE);
    return ((IInfoItemSync)ServiceUtil.getInfoItemSyncManager(platCode, IInfoItemSync.class)).importDataItem(importDataItemDTO, platCode, tokenId);
  }
  
  public ResultEntity<Boolean> importDataItemForResources(ImportDataItemDTO importDataItemDTO, String platCode, String tokenId) {
    importDataItemDTO.setIsResources(DCConst.TRUE);
    return ((IInfoItemSync)ServiceUtil.getInfoItemSyncManager(platCode, IInfoItemSync.class)).importDataItem(importDataItemDTO, platCode, tokenId);
  }
  
  public ResultEntity<Map<String, Object>> getInfoItemsUsageForResources(Long entityId, DeleteInfoItemDTO deleteParam, String tokenId) {
    deleteParam.setIsResources(DCConst.TRUE);
    return ((IInfoItem)ServiceUtil.getInfoItemManager(deleteParam.getPlatCode(), IInfoItem.class)).getInfoItemsUsage(entityId, deleteParam, tokenId);
  }
  
  public ResultEntity<Map<String, Object>> getInfoItemsUsageForMetadata(Long entityId, DeleteInfoItemDTO deleteParam, String tokenId) {
    deleteParam.setIsResources(DCConst.FALSE);
    return ((IInfoItem)ServiceUtil.getInfoItemManager(deleteParam.getPlatCode(), IInfoItem.class)).getInfoItemsUsage(entityId, deleteParam, tokenId);
  }
  
  public ResultEntity<String> importInfoItemToEntityForResources(ImportInfoItemToEntityParamDTO importInfoItemToEntityParamDTO, String platCode, String tokenId) {
    importInfoItemToEntityParamDTO.setIsResources(DCConst.TRUE);
    return ((IInfoItemSync)ServiceUtil.getInfoItemSyncManager(platCode, IInfoItemSync.class)).importInfoItemToEntity(importInfoItemToEntityParamDTO, platCode, tokenId);
  }
  
  public ResultEntity<String> importInfoItemToEntityForMetadata(ImportInfoItemToEntityParamDTO importInfoItemToEntityParamDTO, String platCode, String tokenId) {
    importInfoItemToEntityParamDTO.setIsResources(DCConst.FALSE);
    return ((IInfoItemSync)ServiceUtil.getInfoItemSyncManager(platCode, IInfoItemSync.class)).importInfoItemToEntity(importInfoItemToEntityParamDTO, platCode, tokenId);
  }
  
  public ResultEntity<Boolean> fromDbSychForResources(FromDbSychDTO syncItemInfosToDbDTO, String platCode, String tokenId) {
    syncItemInfosToDbDTO.setIsResources(DCConst.TRUE);
    return ((IInfoItem)ServiceUtil.getInfoItemManager(platCode, IInfoItem.class)).fromDbSych(syncItemInfosToDbDTO, platCode, tokenId);
  }
  
  public ResultEntity<Boolean> fromDbSychForMetadata(FromDbSychDTO syncItemInfosToDbDTO, String platCode, String tokenId) {
    syncItemInfosToDbDTO.setIsResources(DCConst.FALSE);
    return ((IInfoItem)ServiceUtil.getInfoItemManager(platCode, IInfoItem.class)).fromDbSych(syncItemInfosToDbDTO, platCode, tokenId);
  }
  
  public ResultEntity<List<MetadataFieldVO>> getFieldListByIdsForResources(List<Long> infoItemIds, String tokenId, String platCode) {
    return this.metadataField.getFieldListByIds(infoItemIds, tokenId, DCConst.DataResourceCategory.RES, platCode);
  }
  
  public ResultEntity<List<MetadataFieldVO>> getFieldListByIdsForMetadata(List<Long> infoItemIds, String tokenId, String platCode) {
    return this.metadataField.getFieldListByIds(infoItemIds, tokenId, DCConst.DataResourceCategory.DATA, platCode);
  }
  
  public ResultEntity<Boolean> theDataItemIdIsBindTheEntityForResources(TheDataItemIdIsBindTheEntityDTO theDataItemIdIsBindTheEntityDTO) {
    theDataItemIdIsBindTheEntityDTO.setIsRes(DCConst.TRUE);
    return this.metadataField.theDataItemIdIsBindTheEntity(theDataItemIdIsBindTheEntityDTO);
  }
  
  public ResultEntity<Boolean> theDataItemIdIsBindTheEntityForMetadata(TheDataItemIdIsBindTheEntityDTO theDataItemIdIsBindTheEntityDTO) {
    theDataItemIdIsBindTheEntityDTO.setIsRes(DCConst.FALSE);
    return this.metadataField.theDataItemIdIsBindTheEntity(theDataItemIdIsBindTheEntityDTO);
  }
  
  public ResultEntity<Boolean> checkInfoItemCodeIsExistsForResources(CheckInfoItemCodeIsExistsDTO checkInfoItemCodeIsExistsDTO, String platCode, String tokenId) {
    checkInfoItemCodeIsExistsDTO.setIsResources(DCConst.TRUE);
    return ((IInfoItem)ServiceUtil.getInfoItemManager(platCode, IInfoItem.class)).checkInfoItemCodeIsExists(checkInfoItemCodeIsExistsDTO, platCode, tokenId);
  }
  
  public ResultEntity<Boolean> checkInfoItemCodeIsExistsForMetadata(CheckInfoItemCodeIsExistsDTO checkInfoItemCodeIsExistsDTO, String platCode, String tokenId) {
    checkInfoItemCodeIsExistsDTO.setIsResources(DCConst.FALSE);
    return ((IInfoItem)ServiceUtil.getInfoItemManager(platCode, IInfoItem.class)).checkInfoItemCodeIsExists(checkInfoItemCodeIsExistsDTO, platCode, tokenId);
  }
  
  public ResultEntity<Boolean> isSuitUsePrimaryKeyForResources(SuitUsePrimaryKeyDTO suitUsePrimaryKeyDTO, String platCode, String tokenId) {
    suitUsePrimaryKeyDTO.setIsResource(DCConst.TRUE);
    return ((IInfoItem)ServiceUtil.getInfoItemManager(platCode, IInfoItem.class)).isSuitUsePrimaryKey(suitUsePrimaryKeyDTO, platCode, tokenId);
  }
  
  public ResultEntity<Boolean> isSuitUsePrimaryKeyForMetadata(SuitUsePrimaryKeyDTO suitUsePrimaryKeyDTO, String platCode, String tokenId) {
    suitUsePrimaryKeyDTO.setIsResource(DCConst.FALSE);
    return ((IInfoItem)ServiceUtil.getInfoItemManager(platCode, IInfoItem.class)).isSuitUsePrimaryKey(suitUsePrimaryKeyDTO, platCode, tokenId);
  }
  
  public ResultEntity<Boolean> bindTheDataItemInfoItemForResources(BindTheDataItemInfoItemDTO bindTheDataItemInfoItemDTO, String platCode, String tokenId) {
    bindTheDataItemInfoItemDTO.setIsResources(DCConst.TRUE);
    return ((IInfoItem)ServiceUtil.getInfoItemManager(platCode, IInfoItem.class)).bindTheDataItemInfoItem(bindTheDataItemInfoItemDTO, platCode, tokenId);
  }
  
  public ResultEntity<Boolean> bindTheDataItemInfoItemForMetadata(BindTheDataItemInfoItemDTO bindTheDataItemInfoItemDTO, String platCode, String tokenId) {
    bindTheDataItemInfoItemDTO.setIsResources(DCConst.FALSE);
    ResultEntity<Boolean> booleanResultEntity = ((IInfoItem)ServiceUtil.getInfoItemManager(platCode, IInfoItem.class)).bindTheDataItemInfoItem(bindTheDataItemInfoItemDTO, platCode, tokenId);
    return booleanResultEntity;
  }
  
  public ResultEntity<Boolean> updateFieldForResources(SaveMetadataValueEntityFieldDTO saveMetadataValueEntityFieldDTO, String tokenId, String platCode) {
    saveMetadataValueEntityFieldDTO.setIsResources(DCConst.TRUE);
    return this.metadataField.updateField(saveMetadataValueEntityFieldDTO, tokenId, platCode);
  }
  
  public ResultEntity<Boolean> updateFieldForMetadata(SaveMetadataValueEntityFieldDTO saveMetadataValueEntityFieldDTO, String tokenId, String platCode) {
    saveMetadataValueEntityFieldDTO.setIsResources(DCConst.FALSE);
    ResultEntity<Boolean> booleanResultEntity = this.metadataField.updateField(saveMetadataValueEntityFieldDTO, tokenId, platCode);
    return booleanResultEntity;
  }
  
  public ResultEntity<List<MetadataFieldVO>> getInfoItemListForResources(EntityItemInfoSearchDTO entityItemInfoSearchDTO, String platCode, String tokenId) {
    entityItemInfoSearchDTO.setIsResources(DCConst.TRUE);
    entityItemInfoSearchDTO.setTokenId(tokenId);
    entityItemInfoSearchDTO.setPlatCode(platCode);
    return ((IInfoItem)ServiceUtil.getInfoItemManager(platCode, IInfoItem.class)).getInfoItemList(entityItemInfoSearchDTO, platCode, tokenId);
  }
  
  public ResultEntity<List<MetadataFieldVO>> getInfoItemListForMetadata(EntityItemInfoSearchDTO entityItemInfoSearchDTO, String platCode, String tokenId) {
    entityItemInfoSearchDTO.setIsResources(entityItemInfoSearchDTO.getIsResources());
    entityItemInfoSearchDTO.setTokenId(tokenId);
    entityItemInfoSearchDTO.setPlatCode(platCode);
    return ((IInfoItem)ServiceUtil.getInfoItemManager(platCode, IInfoItem.class)).getInfoItemList(entityItemInfoSearchDTO, platCode, tokenId);
  }
  
  public ResultEntity<Boolean> updateInfoItemRuleConfigForResources(ChooseRuleConfigDTO chooseRuleConfigDTO, String tokenId, String platCode) {
    chooseRuleConfigDTO.setIsResource(DCConst.TRUE);
    return ((IInfoItem)ServiceUtil.getInfoItemManager(platCode, IInfoItem.class)).updateInfoItemRuleConfig(chooseRuleConfigDTO, tokenId);
  }
  
  public ResultEntity<Boolean> updateInfoItemRuleConfigForMetadata(ChooseRuleConfigDTO chooseRuleConfigDTO, String tokenId, String platCode) {
    chooseRuleConfigDTO.setIsResource(DCConst.FALSE);
    ResultEntity<Boolean> booleanResultEntity = ((IInfoItem)ServiceUtil.getInfoItemManager(platCode, IInfoItem.class)).updateInfoItemRuleConfig(chooseRuleConfigDTO, tokenId);
    MetadataEntityInfoItemPO oldInfoItem = getItemInfoById(chooseRuleConfigDTO.getFieldId(), tokenId, chooseRuleConfigDTO.getIsResource(), platCode);
    if (oldInfoItem == null)
      return ResultEntity.errorMessage(Integer.valueOf(StatusCodeEnum.DATA_RESOURCE_GET_METADATA_ENTITY_FIELD_FAILED.getCode()), StatusCodeEnum.DATA_RESOURCE_GET_METADATA_ENTITY_FIELD_FAILED
          .getMessage()); 
    return booleanResultEntity;
  }
  
  private MetadataEntityInfoItemPO getItemInfoById(Long infoItemId, String tokenId, Integer isRes, String platCode) {
    List<Long> ids = new ArrayList<>();
    ids.add(infoItemId);
    List<MetadataFieldWithElementVO> metadataFieldWithElementVOS = (List<MetadataFieldWithElementVO>)this.dataStandardClient.getFieldWithElementByIds(ids, isRes, platCode, tokenId).getObj();
    MetadataEntityInfoItemPO metadataEntityInfoItem = this.metadataField.metadataFieldToInfoItem(metadataFieldWithElementVOS).get(0);
    return metadataEntityInfoItem;
  }
  
  public ResultEntity<Boolean> syncItemInfosToDBForResources(SyncItemInfosToDbDTO syncItemInfosToDbDTO, String platCode, String tokenId) {
    syncItemInfosToDbDTO.setIsRes(DCConst.TRUE);
    return ((IInfoItem)ServiceUtil.getInfoItemManager(platCode, IInfoItem.class)).syncItemInfosToDB(syncItemInfosToDbDTO, platCode, tokenId);
  }
  
  public ResultEntity<Boolean> syncItemInfosToDBForMetadata(SyncItemInfosToDbDTO syncItemInfosToDbDTO, String platCode, String tokenId) {
    syncItemInfosToDbDTO.setIsRes(DCConst.FALSE);
    return ((IInfoItem)ServiceUtil.getInfoItemManager(platCode, IInfoItem.class)).syncItemInfosToDB(syncItemInfosToDbDTO, platCode, tokenId);
  }
  
  public ResultEntity<List<InfoItemDataRangeVO>> getInfoItemDataRangeInfoForResources(Long entityId, String platCode, String tokenId) {
    return ((IInfoItem)ServiceUtil.getInfoItemManager(platCode, IInfoItem.class)).getInfoItemDataRangeInfo(entityId, platCode, tokenId, DCConst.DataResourceCategory.RES);
  }
  
  public ResultEntity<List<InfoItemDataRangeVO>> getInfoItemDataRangeInfoForMetadata(Long entityId, String platCode, String tokenId) {
    return ((IInfoItem)ServiceUtil.getInfoItemManager(platCode, IInfoItem.class)).getInfoItemDataRangeInfo(entityId, platCode, tokenId, DCConst.DataResourceCategory.DATA);
  }
  
  public ResultEntity<List<MetadataEntityInfoItemVO>> getEntityInfoItemsByEntityIdForResources(Long entityId, String platCode, String tokenId) {
    return ((IDataResource)ServiceUtil.getDataResourceManager(platCode, IDataResource.class)).getEntityInfoItemsByEntityId(entityId, tokenId, DCConst.DataResourceCategory.RES);
  }
  
  public ResultEntity<List<MetadataEntityInfoItemVO>> getEntityInfoItemsByEntityIdForMetadata(Long entityId, String platCode, String tokenId) {
    return ((IDataResource)ServiceUtil.getDataResourceManager(platCode, IDataResource.class)).getEntityInfoItemsByEntityId(entityId, tokenId, DCConst.DataResourceCategory.DATA);
  }
  
  public ResultEntity<List<MetadataEntityInfoItemVO>> getMetadataEntityInfoItemListByIdsForResources(List<Long> ids, String platCode, String tokenId) {
    return ((IDataResource)ServiceUtil.getDataResourceManager(platCode, IDataResource.class)).getMetadataEntityInfoItemListByIds(ids, DCConst.DataResourceCategory.RES, platCode, tokenId);
  }
  
  public ResultEntity<List<MetadataEntityInfoItemVO>> getMetadataEntityInfoItemListByIdsForMetadata(List<Long> ids, String platCode, String tokenId) {
    return ((IDataResource)ServiceUtil.getDataResourceManager(platCode, IDataResource.class)).getMetadataEntityInfoItemListByIds(ids, DCConst.DataResourceCategory.DATA, platCode, tokenId);
  }
  
  public ResultEntity<Boolean> updateDataModelInfoItemForResources(UpdateInfoItemDTO updateInfoItemDTO) {
    updateInfoItemDTO.setIsRes(DCConst.DataResourceCategory.RES);
    return ((IInfoItem)ServiceUtil.getInfoItemManager(updateInfoItemDTO.getPlatCode(), IInfoItem.class)).updateDataModelInfoItem(updateInfoItemDTO);
  }
  
  public ResultEntity<Boolean> updateDataModelInfoItemForMetadata(UpdateInfoItemDTO updateInfoItemDTO) {
    updateInfoItemDTO.setIsRes(DCConst.DataResourceCategory.DATA);
    return ((IInfoItem)ServiceUtil.getInfoItemManager(updateInfoItemDTO.getPlatCode(), IInfoItem.class)).updateDataModelInfoItem(updateInfoItemDTO);
  }
  
  public ResultEntity<List<Integer>> getLevelListByInfoItemIdForResources(Long infoItemId, String platCode, String tokenId) {
    return ((IInfoItem)ServiceUtil.getInfoItemManager(platCode, IInfoItem.class)).getLevelListByInfoItemId(infoItemId, platCode, tokenId, DCConst.DataResourceCategory.RES);
  }
  
  public ResultEntity<List<Integer>> getLevelListByInfoItemIdForMetadata(Long infoItemId, String platCode, String tokenId) {
    return ((IInfoItem)ServiceUtil.getInfoItemManager(platCode, IInfoItem.class)).getLevelListByInfoItemId(infoItemId, platCode, tokenId, DCConst.DataResourceCategory.DATA);
  }
  
  public ResultEntity<String> cancelDataItemForResources(Long infoItemId, String tokenId, String platCode) {
    return this.metadataField.cancelDataItem(infoItemId, tokenId, DCConst.DataResourceCategory.RES, platCode);
  }
  
  public ResultEntity<String> cancelDataItemForMetadata(Long infoItemId, String tokenId, String platCode) {
    return this.metadataField.cancelDataItem(infoItemId, tokenId, DCConst.DataResourceCategory.DATA, platCode);
  }
  
  public ResultEntity<List<MetadataEntityInfoItemVO>> getInfoItemIsSyncByEntityIdForResources(Long entityId, String tokenId, String platCode) {
    return ((IInfoItem)ServiceUtil.getInfoItemManager(platCode, IInfoItem.class)).getInfoItemIsSyncByEntityId(entityId, tokenId, platCode, DCConst.DataResourceCategory.RES);
  }
  
  public ResultEntity<List<MetadataEntityInfoItemVO>> getInfoItemIsSyncByEntityIdForMetadata(Long entityId, String tokenId, String platCode) {
    return ((IInfoItem)ServiceUtil.getInfoItemManager(platCode, IInfoItem.class)).getInfoItemIsSyncByEntityId(entityId, tokenId, platCode, DCConst.DataResourceCategory.DATA);
  }
  
  public ResultEntity importInfoItemByExcelForResources(HttpServletResponse response, MultipartFile file, Long nodeId, Integer nodeType, String platCode, String tokenId) {
    return ((IInfoItem)ServiceUtil.getInfoItemManager(platCode, IInfoItem.class)).importInfoItemByExcel(response, file, nodeId, nodeType, DCConst.DataResourceCategory.RES, platCode, tokenId);
  }
  
  public ResultEntity importInfoItemByExcelForMetadata(HttpServletResponse response, MultipartFile file, Long nodeId, Integer nodeType, String platCode, String tokenId) {
    return ((IInfoItem)ServiceUtil.getInfoItemManager(platCode, IInfoItem.class)).importInfoItemByExcel(response, file, nodeId, nodeType, DCConst.DataResourceCategory.DATA, platCode, tokenId);
  }
  
  public ResultEntity<String> downLoadExcelTemplateForResources(HttpServletResponse response, MultipartFile file, Long nodeId, Integer nodeType, String platCode, String tokenId) {
    return ((IInfoItem)ServiceUtil.getInfoItemManager(platCode, IInfoItem.class)).downLoadExcelTemplate(response, file, nodeId, nodeType, DCConst.DataResourceCategory.RES, platCode, tokenId);
  }
  
  public ResultEntity<String> downLoadExcelTemplateForMetadata(HttpServletResponse response, MultipartFile file, Long nodeId, Integer nodeType, String platCode, String tokenId) {
    return ((IInfoItem)ServiceUtil.getInfoItemManager(platCode, IInfoItem.class)).downLoadExcelTemplate(response, file, nodeId, nodeType, DCConst.DataResourceCategory.DATA, platCode, tokenId);
  }
  
  public ResultEntity<List<MetadataDirectoryPO>> getMetadataFromDirectoryForResources(Long nodeId, String platCode, String tokenId) {
    return ((IInfoItem)ServiceUtil.getInfoItemManager(platCode, IInfoItem.class)).getMetadataFromDirectory(nodeId, DCConst.DataResourceCategory.RES, platCode);
  }
  
  public ResultEntity<List<MetadataDirectoryPO>> getMetadataFromDirectoryForMetadata(Long nodeId, String platCode, String tokenId) {
    return ((IInfoItem)ServiceUtil.getInfoItemManager(platCode, IInfoItem.class)).getMetadataFromDirectory(nodeId, DCConst.DataResourceCategory.DATA, platCode);
  }
  
  public ResultEntity addMetadataItems(List<SaveMetadataPropertyDTO> saveMetadataPropertyList, String platCode, String tokenId) {
    return ((IInfoItem)ServiceUtil.getInfoItemManager(platCode, IInfoItem.class)).addMetadataItems(saveMetadataPropertyList, platCode, tokenId);
  }
  
  public ResultEntity getNotCommonMetadataByApplicationScope(QueryModelDTO queryModelDTO, String entityId, String platCode, String tokenId) {
    return ((IInfoItem)ServiceUtil.getInfoItemManager(platCode, IInfoItem.class)).getNotCommonMetadataByApplicationScope(queryModelDTO, entityId, platCode, tokenId);
  }
  
  public ResultEntity getDataFieldMetadataVersions(QueryModelDTO queryModelDTO, String platCode, String tokenId) {
    return ((IInfoItem)ServiceUtil.getInfoItemManager(platCode, IInfoItem.class)).getDataFieldMetadataVersions(queryModelDTO, platCode, tokenId);
  }
}
